TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.TransactionRolledBackException Class Reference

An attempt to commit a transaction resulted in rollback More...

Inheritance diagram for TIBCO.EMS.TransactionRolledBackException:

## Public Member Functions
| TransactionRolledBackException (string reason, string errorCode)
| Initializes a new instance of the TransactionRolledBackException with the specified reason and error code. More...
| TransactionRolledBackException (string reason)
| Initializes a new instance of the TransactionRolledBackException with the specified reason. More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

An attempt to commit a transaction resulted in rollback

This exception indicates that the transaction associated with processing of the request has been rolled back, or it has been marked to roll back. As a result, the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would have no effect.

## Constructor & Destructor Documentation

TIBCO.EMS.TransactionRolledBackException.TransactionRolledBackException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the TransactionRolledBackException with the specified reason and error code.

TIBCO.EMS.TransactionRolledBackException.TransactionRolledBackException | ( | string | reason | ) |
| inline

Initializes a new instance of the TransactionRolledBackException with the specified reason.